<?php
header("Content-Type: text/xml; charset=utf-8");      
ini_set('max_execution_time', 0); 
$dir = '../inc/';
require_once $dir."database.php";
require_once $dir."DW_class.php";
$dw = new DWDB();
//* Seo Link oluşturma
function seo_link($link) {
$link = trim($link);
$eski = array('Ç','ç','Ğ','ğ','ı','İ','Ö','ö','Ş','ş','Ü','ü',' ','\'','|','/','`','&#39;','&quot;','&',',','.','?','®',')','(','{','}','[',']');
$yeni = array('c','c','g','g','i','i','o','o','s','s','u','u','-','-','','-','','','','','','','','','','','','','','');
$seo_link = str_replace($eski,$yeni,$link);
$seo_link = strtolower($seo_link);
return $seo_link;
}
//* Seo Link oluşturma
//* Güvenlik 
function guvenlik($verim) {
$verim =addslashes($verim);
$verim = strip_tags($verim);
$verim = htmlentities($verim);
$verim = htmlspecialchars($verim);
return $verim;
}
//* Güvenlik
//* Ayar Cek
$ayarcek = $dw->getRow('SELECT * FROM ayarlar WHERE id = ?', array('bindValues' => array(1)));
//* Ayar Cek
$xml ='<URUNLER>';
$results = $dw->getResults('SELECT * FROM urunler where anaurun = 0 and durum = 1 order by id');
foreach ($results as $yaz) {
//* Marka cek
$markacek = $dw->getRow('SELECT * FROM markalar WHERE id = ?', array('bindValues' => array($yaz->marka)));
//* Marka cek
//* Resim cek
$resimcek = $dw->getRow('SELECT * FROM resimler WHERE urunid = ?', array('bindValues' => array($yaz->id)));
$resimsayisi = $dw->numRows();
if($resimsayisi == 0) {
$resim = "gorselhazir.png";
} else {
$resim = $resimcek->ortaresim;
}
//* Resim cek
$fiyat = $yaz->satis_fiyat;
$havaleindirim = $ayarcek->havaleindirim;
$hesap1 = $fiyat / 100;
$hesap2 = $hesap1 * $havaleindirim;
$hesap3 = $fiyat - $hesap2;
$fiyatim = number_format($hesap3, 2, '.' , '');
$kategorisi = $dw->getRow('SELECT * FROM kategoriler WHERE id = ?', array('bindValues' => array($yaz->ustkategori)));
$link = "u/".$yaz->id."/".seo_link("$kategorisi->kategori")."/".seo_link("$yaz->urun");
$xml.= '
<URUN>
	<URUNKODU>'.$yaz->kod.'</URUNKODU>
	<URUNADI>'.$yaz->urun.'</URUNADI>
	<URUNKATEGORI>'.$yaz->kategori.'</URUNKATEGORI>
	<DUKKANKATEGORI>0</DUKKANKATEGORI>
	<KEYWORD>'.$yaz->urun.'</KEYWORD>
	<MARKA>'.$markacek->marka.'</MARKA>
	<ADET>'.$yaz->stok.'</ADET>
	<FIYAT>'.$yaz->satis_fiyat.'</FIYAT>
	<URUNDETAY>'.$yaz->detay.'</URUNDETAY>
	<GARANTI>'.$yaz->garanti.'</GARANTI>
	<KARGOIL>34</KARGOIL>
	<URUNRESIMLERI>
		<RESIM>'.$ayarcek->sitelink.'yukleme/urun/'.$resim.'</RESIM>
	</URUNRESIMLERI>
</URUN>';
}
$xml .= '</URUNLER>';
echo $xml;
error_reporting(0);
?>